> ## Documentation Index
> Fetch the complete documentation index at: https://docs.greetincs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prompt

> Get the latest version of a prompt by ID.



## OpenAPI

````yaml /openapi-web.json get /v1/prompts/{prompt_id}
openapi: 3.1.0
info:
  title: GreetIncs API
  description: Analyze any business via API
  version: 0.1.0
servers: []
security: []
tags:
  - name: health
    x-displayName: Health
  - name: analyses
    x-displayName: Analyses
  - name: prompts
    x-displayName: Prompts
paths:
  /v1/prompts/{prompt_id}:
    get:
      tags:
        - prompts
      summary: Get Prompt
      description: Get the latest version of a prompt by ID.
      operationId: getPrompt
      parameters:
        - name: prompt_id
          in: path
          required: true
          schema:
            type: string
            description: 'Prompt ID in TypeID format (unversioned: prompt_xxx)'
            title: Prompt Id
          description: 'Prompt ID in TypeID format (unversioned: prompt_xxx)'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__api__v1__prompts__schemas__PromptResponse
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '422':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    app__api__v1__prompts__schemas__PromptResponse:
      properties:
        response_type:
          type: string
          title: Response Type
          default: PromptResponse
        data:
          $ref: '#/components/schemas/app__api__v1__prompts__schemas__PromptData'
        links:
          items:
            $ref: '#/components/schemas/Link'
          type: array
          title: Links
          description: HATEOAS links related to this response (e.g., self, next, prev)
          default: []
          examples:
            - - href: /resource/{resource_id}
                method: GET
                rel: self
                title: Resource Details
              - href: /resource/{resource_id}/related
                method: GET
                rel: related
                title: Related Resources
      additionalProperties: false
      type: object
      required:
        - data
      title: PromptResponse
      description: API response model for structured prompts.
    app__api__v1__prompts__schemas__PromptData:
      properties:
        id:
          type: string
          pattern: ^prompt_[0-9a-hjkmnp-tv-z]{26}$
          title: Id
          description: >-
            TypeID with 'prompt' prefix. Format: {prefix}_{base32_uuid7}.
            Example: prompt_01h45ytscbebyvny4gc8cr8ma2
          examples:
            - prompt_01h45ytscbebyvny4gc8cr8ma2
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        prompt:
          type: string
          title: Prompt
        response_schema:
          $ref: '#/components/schemas/app__api__v1__prompts__schemas__JSONSchema'
        version:
          type: integer
          title: Version
          description: Version number of this prompt
        is_current:
          type: boolean
          title: Is Current
          description: True if this is the latest version
        created_at:
          type: integer
          title: Created At
      type: object
      required:
        - id
        - name
        - prompt
        - response_schema
        - version
        - is_current
        - created_at
      title: PromptData
      description: >-
        Data model for versioned structured prompts.


        The `id` field serializes as unversioned (prompt_xxx) for direct use in
        API paths.

        Version info is in the separate `version` field.
    Link:
      properties:
        href:
          type: string
          title: Href
          description: The URL of the linked resource
        rel:
          type: string
          title: Rel
          description: The relationship type (e.g., 'self', 'next')
        method:
          type: string
          title: Method
          description: The HTTP method (e.g., 'GET', 'POST')
          default: GET
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: Optional human-readable title
      type: object
      required:
        - href
        - rel
      title: Link
    app__api__v1__prompts__schemas__JSONSchema:
      properties:
        draft_07:
          additionalProperties: true
          type: object
          title: Draft 07
          description: >-
            Draft-07 JSON Schema. Supports primitive schemas (e.g.,
            {"type":"string"}) or object schemas. If omitted, defaults to
            {"type":"string"}.
          examples:
            - enum:
                - generalist
                - specialist
              type: string
            - type: string
            - additionalProperties: false
              properties:
                what_does_this_company_do:
                  type: string
                offer_type:
                  enum:
                    - generalist
                    - specialist
                  type: string
              required:
                - what_does_this_company_do
                - offer_type
              type: object
            - type: boolean
            - maximum: 100
              minimum: 0
              type: number
      type: object
      required:
        - draft_07
      title: JSONSchema
      description: >-
        JSON Schema Draft-07 model for structured prompt responses.

        Supports both primitive schemas (e.g., {"type": "string"}) and object
        schemas.

        If omitted, defaults to {"type": "string"}.
  responses:
    BadRequest:
      description: Request Validation Error
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for validation errors.
                properties:
                  title:
                    default: Request Validation Error
                    title: Title
                    type: string
                  status:
                    default: 422
                    title: Status
                    type: integer
                  detail:
                    default: Request validation failed
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: ValidationError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    Unauthorized:
      description: Unauthorized
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for authentication errors.
                properties:
                  title:
                    default: Unauthorized
                    title: Title
                    type: string
                  status:
                    default: 401
                    title: Status
                    type: integer
                  detail:
                    default: Authentication required
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: UnauthorizedError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    PaymentRequired:
      description: Payment Required
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for payment required errors.
                properties:
                  title:
                    default: Payment Required
                    title: Title
                    type: string
                  status:
                    default: 402
                    title: Status
                    type: integer
                  detail:
                    default: Payment required
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: PaymentRequiredError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    Forbidden:
      description: Forbidden
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for authorization errors.
                properties:
                  title:
                    default: Forbidden
                    title: Title
                    type: string
                  status:
                    default: 403
                    title: Status
                    type: integer
                  detail:
                    default: Access forbidden
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: ForbiddenError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    NotFound:
      description: Not Found
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for resource not found errors.
                properties:
                  title:
                    default: Not Found
                    title: Title
                    type: string
                  status:
                    default: 404
                    title: Status
                    type: integer
                  detail:
                    default: Resource not found
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: NotFoundError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    InternalServerError:
      description: Internal Server Error
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for internal server errors.
                properties:
                  title:
                    default: Internal Server Error
                    title: Title
                    type: string
                  status:
                    default: 500
                    title: Status
                    type: integer
                  detail:
                    default: Internal server error
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: InternalServerError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API Key for external integrations (format: greetincs_...)'

````